#!/usr/bin/env ruby

def first_select(win)
  win.remove(win.child)

  table = Gtk::Table.new(4, 3, false)

# イメージ
  image_show(0, 1, 0, 3, table)

# メッセージ
  str = "\n\n設定ファイル\"dcast.conf\"が存在します。\n新しい設定ファイルを作成する場合は上のボタンを、\n現在の設定ファイルを使用する場合は下のボタンを押して下さい。\n\n\n\n\n\n\n"
  $flag="first-select"
  dummy = ""

  label = Gtk::Label.new(NKF.nkf("-m0 -w", str))
  table.attach(label, 1, 3, 0, 1, Gtk::FILL, Gtk::FILL, 0, 10)

# ボタン１
  str1 = "新規設定ファイルを作成"
  label1 = Gtk::Label.new(NKF.nkf("-m0 -w", str1))
  table.attach(label1, 1, 2, 1, 2, Gtk::FILL, Gtk::FILL, 0, 0)

  button1 = Gtk::Button.new(Gtk::Stock::EXECUTE)
  table.attach(button1, 2, 3, 1, 2, Gtk::FILL, Gtk::FILL, 0, 10)

  button1.signal_connect("clicked") do
    select_eth(win)
  end

# ボタン２
  str2 = "現在の設定ファイルを使用"
  label2 = Gtk::Label.new(NKF.nkf("-m0 -w", str2))
  table.attach(label2, 1, 2, 2, 3, Gtk::FILL, Gtk::FILL, 0, 0)

  button2 = Gtk::Button.new(Gtk::Stock::EXECUTE)
  table.attach(button2, 2, 3, 2, 3, Gtk::FILL, Gtk::FILL, 0, 10)

  button2.signal_connect("clicked") do
    run_gtk(win)
  end

# 下のボタン
  frame = Gtk::Frame.new("DCAST")
  hbox = Gtk::HBox.new(false, 0)

  cancel_button = Gtk::Button.new(Gtk::Stock::QUIT)

  hbox.pack_start(cancel_button, false, false, 10)
  cancel_button.signal_connect("clicked") {
    Gtk::main_quit
  }

  frame.add(hbox)
  table.attach(frame, 0, 3, 3, 4)

  win.set_default_size(500,300)
  win.set_title(NKF.nkf("-m0 -w", "選択の刻"))
  win.add(table)
  win.show_all
end

if __FILE__ == $0
  require "load"

  Gtk.init

  win = Gtk::Window.new
  win.signal_connect("destroy") {
    Gtk::main_quit
  }

  first_select(win)

  Gtk.main
end
